# $Revision: 1.22 $, $Date: 2011/12/15 11:48:01 $
#
# WARNING:
#	- check if samba builds with new version before updating!
#
Summary:	The talloc library - a hierarchical pool based memory system
Summary(pl.UTF-8):	Biblioteka talloc - system przydzielania pamięci oparty na hierarchicznej puli
Name:		talloc
Version:	2.0.6
Release:	3
Epoch:		1
License:	LGPL v3+
Group:		Libraries
Source0:	http://samba.org/ftp/talloc/%{name}-%{version}.tar.gz
# Source0-md5:	bd1be34297e89b27a394b49d5182550e
URL:		http://talloc.samba.org/
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	libxslt-progs
BuildRequires:	python >= 1:2.4.2
BuildRequires:	python-devel >= 1:2.4.2
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Provides:	libtalloc = 2:%{version}-%{release}
Obsoletes:	libtalloc < 2:2.0.7-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The talloc library implements a hierarchical allocator with
destructors.

%description -l pl.UTF-8
Biblioteka talloc jest implementacją systemu zarządzania pamięcią
opartego na hierarchicznej puli wraz z destruktorami.

%package devel
Summary:	Development files for the talloc library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki talloc
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	libtalloc-devel = 2:%{version}-%{release}
Obsoletes:	libtalloc-devel < 2:2.0.7-2
Obsoletes:	libtalloc-static

%description devel
Development files needed to create programs that link against the
talloc library.

%description devel -l pl.UTF-8
Pliki programistyczne potrzebne do tworzenia programów używających
biblioteki talloc.

%package -n python-talloc
Summary:	Python binding for talloc library
Summary(pl.UTF-8):	Wiązanie Pythona do biblioteki talloc
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	python-libs >= 1:2.4.2

%description -n python-talloc
Python binding for talloc library.

%description -n python-talloc -l pl.UTF-8
Wiązanie Pythona do biblioteki talloc.

%package -n python-talloc-devel
Summary:	Development files for pytalloc-util library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki pytalloc-util
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	python-devel >= 1:2.4.2
Requires:	python-talloc = %{epoch}:%{version}-%{release}

%description -n python-talloc-devel
Development files for pytalloc-util library.

%description -n python-talloc-devel -l pl.UTF-8
Pliki programistyczne biblioteki pytalloc-util.

%prep
%setup -q

%build
# note: configure in fact is waf call
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
PYTHONDIR=%{py_sitedir} \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}

%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%triggerpostun -p /sbin/postshell -- libtalloc < 2:2.0.1-5
-rm -f %{_libdir}/libtalloc.so.2
/sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtalloc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtalloc.so.2

%files devel
%defattr(644,root,root,755)
%doc talloc_guide.txt
%attr(755,root,root) %{_libdir}/libtalloc.so
%{_includedir}/talloc.h
%{_pkgconfigdir}/talloc.pc
%{_mandir}/man3/talloc.3*

%files -n python-talloc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpytalloc-util.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpytalloc-util.so.2
%attr(755,root,root) %{py_sitedir}/talloc.so

%files -n python-talloc-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpytalloc-util.so
%{_includedir}/pytalloc.h
%{_pkgconfigdir}/pytalloc-util.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: talloc.spec,v $
Revision 1.22  2011/12/15 11:48:01  baggins
- rel 3

Revision 1.21  2011/12/15 11:46:16  baggins
- rel 2
- evr for R/P/O

Revision 1.20  2011/12/15 11:45:11  baggins
- warning added

Revision 1.19  2011/12/15 11:43:26  baggins
- back to 2.0.6 as 2.0.7 is incompatible with samba 3.6.x
- epoch 1

Revision 1.18  2011/10/20 18:52:57  glen
- fix release

Revision 1.17  2011/10/20 18:36:47  glen
- rename to talloc, like upstream

Revision 1.16  2011/09/19 19:29:05  qboosh
- updated to 2.0.7

Revision 1.15  2011/08/10 17:21:12  qboosh
- updated to 2.0.6

Revision 1.14  2011/01/27 21:17:08  sparky
- BR: docbook-dtd42-xml, python-modules, rpm-pythonprov

Revision 1.13  2011/01/11 20:04:52  qboosh
- updated to 2.0.5
- project has switched to waf; -static is gone
- package python binding

Revision 1.12  2010/10/25 18:48:13  qboosh
- fixed base group

Revision 1.11  2010/10/25 18:47:59  qboosh
- pl
- package static library
- dropped bogus Provides (autogenerated)
- don't hide autoconf calls behind autogen.sh

Revision 1.10  2010/09/06 13:18:59  glen
- rm file before ldconfig in trigger; rel 5

Revision 1.9  2010/08/30 18:26:59  arekm
- rel 4; fix libtalloc.so.2(file->symlink) on samba libtalloc -> this libtalloc upgrade

Revision 1.8  2010/08/30 17:57:25  glen
- revert bogus commit

Revision 1.7  2010/08/30 17:46:52  shadzik
- fix ldconfig
- rel 3

Revision 1.6  2010/08/30 17:17:48  shadzik
- P: pkgconfig(talloc)
- rel 2

Revision 1.5  2010/08/30 05:17:57  arekm
- epoch 2 to be bigger version than libtalloc from samba.spec

Revision 1.4  2010/08/29 17:37:20  glen
- add buildroot, add ghost soname link

Revision 1.3  2010/08/19 18:48:30  arekm
- actually this is newer lib than samba one

Revision 1.2  2010/08/19 18:43:28  arekm
- block for now

Revision 1.1  2010/08/19 18:42:44  arekm
- initial
